﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ASP.NET AJAX Web Service Proxies</title>
    <script type="text/javascript">
        function Add()
        {
            var x = $get("txtX").value;
            var y = $get("txtY").value;
            PageMethods.Add(x,y,OnWSAdd);
        }
        
        function OnWSAdd(result)
        {
            $get("spanAddResult").innerHTML = result;
        }
        
        function GetCustomer()
        {
            var id = $get("txtCustomerID").value;
            PageMethods.GetCustomer(id,OnWSGetCustomer);
        }
        
        function OnWSGetCustomer(result)
        {
            $get("spanCustomerResult").innerHTML = 
                result.FirstName + " " + result.LastName;
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="sm" runat="server" EnablePageMethods="true" />
        <div>
            <h2>Add Numbers Service Call</h2>
            X: <input type="text" id="txtX" />
            <br />
            Y: <input type="text" id="txtY" />
            <br />
            <input type="button" value="Add Numbers" id="btnSubmit" onclick="Add();" />
            <br />
            <br />
            Result: <span id="spanAddResult"></span>
        </div>
        <div>
            <h2>Customer Service Call</h2>
            Customer ID: <input type="text" id="txtCustomerID" />
            <br />
            <input type="button" value="GetCustomer" id="btnSubmitID" onclick="GetCustomer();" />
            <br />
            <br />
            Result: <span id="spanCustomerResult"></span>
        </div>
    </form>
</body>
</html>
